package domain


type AlibabaWdkSupplierRefundListOrderSyncRefundListResult struct {
    /*
        结果总数量     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

    /*
        orders     */
    Orders  *[]AlibabaWdkSupplierRefundListOrderSyncRefundDto `json:"orders,omitempty" `

    /*
        returnMsg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        returnCode     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        下一页页码     */
    NextIndex  *int64 `json:"next_index,omitempty" `

    /*
        success     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetTotalNumber(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.TotalNumber = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetOrders(v []AlibabaWdkSupplierRefundListOrderSyncRefundDto) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetReturnMsg(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetReturnCode(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetNextIndex(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.NextIndex = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundListResult) SetSuccess(v bool) *AlibabaWdkSupplierRefundListOrderSyncRefundListResult {
    s.Success = &v
    return s
}
